<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formAcciones" styleClass="jsfcrud_list_form">
                
                <h:outputText escape="false" value="#{bundle.ListAccionesEmpty}" rendered="#{accionesController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{accionesController.items.rowCount > 0}">
                    <p:dataTable id="tablaAcciones" sortMode="multiple" value="#{accionesController.items}" var="item" 
                                 widgetVar="tablaAcciones" emptyMessage="No hay Acciones disponibles" paginator="true" rows="10"
                                 rowKey="#{item.accionesId}" >
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAccionesTitle_accionesId}"/>
                            </f:facet>
                            <h:outputText value="#{item.accionesId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListAccionesTitle_accionesNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.accionesNombre}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <p:commandButton action="#{accionesController.prepareEdit}" oncomplete="PF('dlgAccion').show();" 
                                           value="#{bundle.ListNoticiasEditLink}" process="@this" update=":tabViewAdmin:accionesPanel:dialogAccion"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{accionesController.destroy}" value="#{bundle.ListNoticiasDestroyLink}" 
                                           process="@this" update=":tabViewAdmin:accionesPanel:formAcciones:tablaAcciones">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog> 
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogAccion" position="center" header="Accion #{accionesController.selected.accionesNombre}" modal="true"
                      widgetVar="dlgAccion"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/acciones/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
